package com.hzya.frame.sysnew.messageTemplate.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.messageTemplate.entity.SysMessageTemplateEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.apache.ibatis.annotations.Select;

import java.sql.SQLException;

/**
 * (SysMessageTemplate)表服务接口
 *
 * @author makejava
 * @since 2024-08-30 14:21:15
 */
public interface ISysMessageTemplateService extends IBaseService<SysMessageTemplateEntity, String>{
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity saveEntity(JSONObject jsonObject);

    JsonResultEntity getEntity(JSONObject jsonObject);

    JsonResultEntity updateEntity(JSONObject jsonObject);

    JsonResultEntity deleteEntity(JSONObject jsonObject);

    JsonResultEntity enableDisableEntity(JSONObject jsonObject);

    JsonResultEntity checkSql(JSONObject jsonObject)throws Exception;

    JsonResultEntity spliceMessage(JSONObject jsonObject);

}
